%define pkgname dejavu-ttf

Summary: DejaVu ttf Fonts
Name: fonts-ttf-dejavu
Version: 1.11
Release: 1mdk
License: Bitstream Vera Fonts Copyright
Group: System/Fonts/True type
URL: http://dejavu.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/dejavu/dejavu-ttf-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post,postun): fontconfig 
Requires(post,postun): chkfontpath
BuildArch: noarch
BuildRequires: freetype-tools

%description
DejaVu fonts are Bitstream Vera fonts (http://www.bitstream.com/) with
additional characters from Latin Extended-A set (Dcaron, dcaron, Ecaron,
ecaron, Lacute, lacute, Lcaron, lcaron, Ncaron, ncaron, Racute, racute,
Rcaron, rcaron, Tcaron, tcaron, Uring, uring). They are optimized for
display on Linux/X (which has some TrueType display problems), but that
should not affect their usability on other systems or in printing.

DejaVu fonts are based on Bitstream Vera fonts version 1.10.

Fonts are (c) Bitstream (see below). DejaVu changes are in public domain.

Fonts are published in source form as SFD files (Spline Font Database from
FontForge - http://fontforge.sf.net/) and in compiled form as TTF files
(TrueType fonts).

%prep
%setup -q -n %{pkgname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/dejavu

install -m 644 *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/dejavu
ttmkfdir $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/dejavu > $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/dejavu/fonts.dir
ln -s fonts.dir $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/dejavu/fonts.scale

# ghost file
touch $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/dejavu/fonts.cache-1

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/ttf/dejavu
%{_bindir}/fc-cache %{_datadir}/fonts

%postun
%{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/ttf/dejavu
%{_bindir}/fc-cache %{_datadir}/fonts


%files
%defattr(-,root,root,-)
%doc README LICENSE AUTHORS NEWS BUGS *.txt
%dir %{_datadir}/fonts/ttf/dejavu
%{_datadir}/fonts/ttf/dejavu/*.ttf
%verify(not mtime) %{_datadir}/fonts/ttf/dejavu/fonts.dir
%{_datadir}/fonts/ttf/dejavu/fonts.scale
%ghost %{_datadir}/fonts/ttf/dejavu/fonts.cache-1

%changelog
* Tue Jul 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.11-1mdk
- new release

* Wed May 25 2005 Abel Cheung <deaddog@mandriva.org> 1.10-1mdk
- New release 1.10

* Tue May 03 2005 Abel Cheung <deaddog@mandriva.org> 1.9-1mdk
- New release 1.9
- Mark attributes for various files

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7-1mdk
- new release

* Tue Nov 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4-1mdk
- new release (merged with Owen & BePa fonts)
- fix package (enable to rebuild on version bumping)

* Mon Aug  9 2004 Robert Vojta <robert.vojta@mandrake.org> 1.1-2mdk
- README file added
- better description (based on the README file)

* Fri Aug  5 2004 Petr Spatka <petr.spatka@kamarad.cz> 1.1-1mdk
- Initial build. Based on fonts-ttf-vera.spec from Mandrake.
